Bug 244314 - Review Request: matchbox-window-manager - Matchbox window manager
Review Request: matchbox-window-manager - Matchbox window manager
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-06-14 18:21 EDT by Marco Pesenti Gritti
Modified: 2013-03-13 00:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-10 16:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johnp: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)
corrected .spec file (3.80 KB, text/plain)
2007-06-19 17:20 EDT, John (J5) Palmieri
no flags Details

  None (edit)
Description Marco Pesenti Gritti 2007-06-14 18:21:20 EDT
Spec URL: <http://dev.laptop.org/~marco/matchbox-window-manager.spec>
SRPM URL: <http://dev.laptop.org/~marco/matchbox-window-manager-1.1-5.cvs20072402.7.src.rpm>
Description: <Matchbox is a base environment for the X Window System running on non-desktop embedded platforms such as handhelds, set-top boxes, kiosks and anything else for which screen space, input mechanisms or system resources are limited.>
Comment 1 Marco Pesenti Gritti 2007-06-19 05:06:02 EDT
Important for OLPC, upping the priority.
Comment 2 John (J5) Palmieri 2007-06-19 16:57:27 EDT
Taking this package
Comment 3 John (J5) Palmieri 2007-06-19 17:20:01 EDT
Created attachment 157419 [details]
corrected .spec file

This fixes the rpm for rpmlint

- Fix buildroot
- Add COPYING license file to docs
- Added {} braces around % macros
- Own {_sysconfdir}/matchbox directory
- Own {_datadir}/matchbox
Comment 4 John (J5) Palmieri 2007-06-19 17:21:56 EDT
Some outstanding issues before this can be approved

- Please repackage for version 1.2 which has been released
- Please move the %{_datadir}/themes/ directories into %{_datadir}/matchbox/themes
Comment 5 John (J5) Palmieri 2007-06-19 17:31:12 EDT
hmm, looks like I am incorrect about the themes/ directory.  I'm not sure how
ownership goes though
Comment 6 John (J5) Palmieri 2007-06-19 17:45:53 EDT
Ok, filed a bug https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244932 on
the filesystem package.  Matchbox should Require: filesystem
Comment 7 Marco Pesenti Gritti 2007-06-19 19:02:34 EDT
Updated to 1.2 and added req on filesystem.

Comment 8 John (J5) Palmieri 2007-06-19 19:17:54 EDT
      - MUST: rpmlint must be run on every package. The output should be posted
in the review.
      - MUST: The package must be named according to the Package Naming Guidelines.
      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption on Package Naming
      - MUST: The package must meet the Packaging Guidelines.
      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.
      - MUST: The License field in the package spec file must match the actual
      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
      - MUST: The spec file must be written in American English.
      - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.
      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64

Can not test as reviewer does not have access to other platforms.

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.
      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
Ok (no translations present)
      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. If the package has multiple subpackages with libraries,
each subpackage should also have a %post/%postun section that calls
/sbin/ldconfig. An example of the correct syntax for this is: 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

Ok (No libraries)
      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
Ok (package not relocatable)

      - MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. The exception to this are directories listed explicitly
in the Filesystem Hierarchy Standard
(http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe to assume that
those directories exist.

      - MUST: A package must not contain any duplicate files in the %files listing.

      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.

      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.

      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.

      - MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)

      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

      - MUST: Header files must be in a -devel package.
Ok(No libraries)

      - MUST: Static libraries must be in a -static package.
Ok (No static libraries)

      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability).
Ok (No pkgconfig)

      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
Ok (no libraries)
      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
Ok(No devel)
      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.
Ok (No Libraries)
      - MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. This is described in detail in the
desktop files section of Packaging Guidelines. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation.
Ok (no .desktop file)
      - MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
      - MUST: All filenames in rpm packages must be valid UTF-8.

      - SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
Ok. Included
      - SHOULD: The reviewer should test that the package builds in mock.

APPROVED with one minor edit.  Please add the full URL on the Source0 line for
the tarball
Comment 9 Marco Pesenti Gritti 2007-06-19 19:23:53 EDT
New Package CVS Request
Package Name: matchbox-window-manager
Short Description: Window manager for the Matchbox Desktop
Owners: mpg@redhat.com
Branches: FC-7
InitialCC: mpg@redhat.com
Comment 10 Kevin Fenzi 2007-06-20 01:06:03 EDT
Humm, if this package is important for OLPC, don't you want a OLPC-2 branch? 
Or is there a reason for only F-7/devel branches? 
Comment 11 Marco Pesenti Gritti 2007-06-20 04:32:54 EDT
I'll let John comment on this since I've been following the wiki tables:

Anyway my feeling is that the less we diverge from FC-7 the better and matchbox
is stable enough that going through the update process should not be a problem
(we can always create an OLPC-2 branch later if necessary).
Comment 12 John (J5) Palmieri 2007-06-20 12:17:50 EDT
It is important for OLPC but stable and useful for other projects therefor it
should be built into F7.  We don't expect to be updating this module much.
Comment 13 Kevin Fenzi 2007-06-20 12:33:57 EDT
ok, sorry for the delay. Just wanted to make sure. 
cvs done. 

Note that you don't need to add owner to CC, they automatically get emails, and
the branch is "F-7", not "FC-7". :) 
Comment 14 Marco Pesenti Gritti 2007-06-20 12:51:53 EDT
Am I doing something stupid or something is missing?

[marco@localhost F-7]$ make build
make: Warning: File `matchbox-window-manager.spec' has modification time 2.5e+02
s in the future
Created task: 43626
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=43626
Watching tasks (this may be safely interrupted)...
43626 build (dist-fc7-updates-candidate, F-7:matchbox-window-manager-1_2-1): free
43626 build (dist-fc7-updates-candidate, F-7:matchbox-window-manager-1_2-1):
free -> open (ppc1.fedora.redhat.com)
  43629 buildSRPMFromCVS (F-7:matchbox-window-manager-1_2-1): free
  43629 buildSRPMFromCVS (F-7:matchbox-window-manager-1_2-1): free -> open
  43629 buildSRPMFromCVS (F-7:matchbox-window-manager-1_2-1): open
(ppc2.fedora.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
43626 build (dist-fc7-updates-candidate, F-7:matchbox-window-manager-1_2-1):
open (ppc1.fedora.redhat.com) -> FAILED: BuildError: package
matchbox-window-manager not in list for tag dist-fc7-updates-candidate
Comment 15 Michel Alexandre Salim 2008-01-25 18:48:42 EST
Anything being done with matchbox-window-manager?
Comment 16 Peter Robinson 2008-08-19 04:48:53 EDT
I see this is in the distro, is there a reason the review request is still open?
Comment 17 Peter Robinson 2008-10-10 16:08:12 EDT
Closing... is in rawhide...

Note You need to log in before you can comment on or make changes to this bug.